---     
tags: 
  - Regions
description: Deletes a region. Fails if there are users or sectors associated with the region. 
  Error code 400 is returned when either there are either sectors or users still associated with the region,
  which can be disambiguated based on the `code` field (1 for the former, 2 for the latter).
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      example: {
        "message": "delete successful",
        "user_name": "User"
      }
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Unauthorised'
  409:
    schema:
        type: object
        example: {
          "message": "associated sectors", 
          "code": 1
        }
